---
updatedAt: 2026-06-05T20:14:09.000Z
---

# Update Business

Update one or more attributes of an existing business

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "version": "1.0",
    "title": "Branded Communications Exchange",
    "termsOfService": "https://firstorion.com/terms-use/",
    "x-logo": {
      "url": "https://firstorion.com/wp-content/themes/salient-child/img/logo-icon-blue.svg",
      "backgroundColor": "rgba(0,0,0,0)",
      "altText": "First Orion Logo"
    },
    "description": "> Please avoid using APIs that are marked `deprecated`. While the functions / endpoints will work for the time being, they will be deprecated in the next major release of the APIs.\n",
    "license": {
      "url": "change this and name",
      "name": "Apache 2.0"
    }
  },
  "servers": [
    {
      "url": "https://api.firstorion.com",
      "description": "Production Environment"
    },
    {
      "url": "https://api.forp-lab.com",
      "description": "Integration Environment"
    }
  ],
  "tags": [
    {
      "name": "Businesses",
      "description": "Business is a foundational element in the API structure. Business represents a customer - an entity who makes calls to customers as part of their business operation. \nBusiness must have ownership to the phone numbers they are using to make the calls. \n\nNewly registered businesses are vetted and verified prior to being accepted to be using the services.\n"
    }
  ],
  "components": {
    "schemas": {
      "status": {
        "type": "string",
        "readOnly": true,
        "enum": [
          "PENDING",
          "UNDER_REVIEW",
          "APPROVED",
          "REJECTED"
        ],
        "example": "APPROVED"
      },
      "businessId": {
        "type": "string",
        "description": "System generated unique identifier for the business",
        "example": "719d140e-fd6c-4d59-9241-3dee71b38320"
      },
      "businessContext": {
        "type": "object",
        "description": "Contextual information related to the business.",
        "properties": {
          "exceptionsToBlocklist": {
            "type": "array",
            "description": "Potentially vulgar words that should be allowed for this business",
            "example": [
              "Scam"
            ],
            "items": {
              "type": "string"
            }
          },
          "serviceGrants": {
            "type": "array",
            "description": "Which services this business is authorized to access",
            "example": [
              "CT",
              "CE"
            ],
            "items": {
              "enum": [
                "CT",
                "CE"
              ],
              "type": "string"
            },
            "minItems": 1,
            "maxItems": 3
          }
        }
      },
      "dba": {
        "type": "string",
        "description": "Doing Business As",
        "example": "Good Investment Partners",
        "maximum": 256
      },
      "demographics": {
        "type": "object",
        "properties": {
          "employeeCountRangeId": {
            "type": "integer",
            "description": "How many employees there are in the company. Must be one of `GET /exchange/v1/reference-data/employee-count-ranges`.",
            "example": 2
          },
          "industryId": {
            "type": "integer",
            "description": "The industry the business operates in. Must be one of `GET /exchange/v1/reference-data/business-industries`.",
            "example": 7
          },
          "licenseId": {
            "type": "string",
            "description": "ID based on selected industry. For example, Realtor or Insurance.",
            "example": "1010101"
          },
          "licenseType": {
            "example": "DEFAULT"
          }
        }
      },
      "dunsNumber": {
        "type": "string",
        "description": "Duns & Bradstreet Number for the business",
        "example": "01-234-5678"
      },
      "legalName": {
        "type": "string",
        "description": "Legal name of the business. It is highly recommended not to update legalName after it has been initially set.",
        "example": "Good Invest",
        "minimum": 4,
        "maximum": 256
      },
      "numberProviders": {
        "type": "array",
        "description": "Providers for your businesses numbers.",
        "example": [
          "Allstream",
          "Comcast"
        ],
        "items": {
          "enum": [
            "Allstream",
            "AT&T",
            "Bandwidth",
            "CenturyLink/Lumen",
            "Cinncinati Bell",
            "Comcast",
            "Commio",
            "Cox Communication",
            "Frontier Communications",
            "Sinch/Inteliquent",
            "IP Horizon",
            "Magna5",
            "NUSO",
            "Peerless Network",
            "T-Mobile",
            "Telenyx",
            "Twilio",
            "Verizon",
            "Windstream",
            "Ziply",
            "Spectrum Mobile",
            "Xfinity Mobile",
            "Boost Mobile",
            "Five9",
            "Teams",
            "NICE",
            "NTT",
            "Ring Central",
            "Vonage",
            "Zoom"
          ],
          "type": "string"
        },
        "maxItems": 7
      },
      "phoneNumber": {
        "type": "string",
        "description": "Phone number in E.164 format.",
        "minimum": 7,
        "maximum": 15,
        "pattern": "^\\+[1-9]\\d{1,14}$",
        "example": "+12125554200"
      },
      "taxId": {
        "type": "string",
        "description": "Tax ID number for the business. If using standard tax id, the format needs to be \"12-1234567\". If using SSN, the format must be \"123-12-1234\".",
        "example": "04-6370463"
      },
      "website": {
        "type": "string",
        "description": "Website of the business in question",
        "example": "geocities.com/good-invest-company",
        "maximum": 256
      },
      "tfaStatus": {
        "type": "string",
        "readOnly": true,
        "description": "Two Factor Authentication status of the primaryPhoneNumber",
        "example": "AUTHENTICATED"
      },
      "tfaSubmissionId": {
        "type": "string",
        "readOnly": true,
        "description": "Identifier of the Two Factor Authentication request for the primaryPhoneNumber",
        "example": "123456789"
      },
      "PutBusiness": {
        "type": "object",
        "properties": {
          "businessId": {
            "$ref": "#/components/schemas/businessId"
          },
          "context": {
            "$ref": "#/components/schemas/businessContext"
          },
          "dba": {
            "$ref": "#/components/schemas/dba"
          },
          "demographics": {
            "$ref": "#/components/schemas/demographics"
          },
          "dunsNumber": {
            "$ref": "#/components/schemas/dunsNumber"
          },
          "legalName": {
            "$ref": "#/components/schemas/legalName"
          },
          "numberProviders": {
            "$ref": "#/components/schemas/numberProviders"
          },
          "primaryPhoneNumber": {
            "$ref": "#/components/schemas/phoneNumber"
          },
          "taxId": {
            "$ref": "#/components/schemas/taxId"
          },
          "website": {
            "$ref": "#/components/schemas/website"
          },
          "status": {
            "$ref": "#/components/schemas/status"
          },
          "tfaDeliveryMethod": {
            "$ref": "#/components/schemas/tfaStatus"
          },
          "tfaSubmissionId": {
            "$ref": "#/components/schemas/tfaSubmissionId"
          }
        }
      },
      "tfaMethod": {
        "type": "string",
        "description": "How should a two factor authentication code be delivered to the `primaryPhoneNumber`",
        "enum": [
          "sms",
          "call"
        ],
        "default": "sms"
      },
      "Requests-PutBusiness": {
        "type": "object",
        "properties": {
          "dba": {
            "$ref": "#/components/schemas/dba"
          },
          "demographics": {
            "$ref": "#/components/schemas/demographics"
          },
          "dunsNumber": {
            "$ref": "#/components/schemas/dunsNumber"
          },
          "legalName": {
            "$ref": "#/components/schemas/legalName"
          },
          "numberProviders": {
            "$ref": "#/components/schemas/numberProviders"
          },
          "primaryPhoneNumber": {
            "$ref": "#/components/schemas/phoneNumber"
          },
          "taxId": {
            "$ref": "#/components/schemas/taxId"
          },
          "tfaDeliveryMethod": {
            "$ref": "#/components/schemas/tfaMethod"
          },
          "website": {
            "$ref": "#/components/schemas/website"
          }
        }
      }
    },
    "responses": {
      "Unauthorized": {
        "description": "Unauthorized"
      },
      "Forbidden": {
        "description": "Forbidden"
      },
      "BusinessObjectBadRequest": {
        "description": "Bad Request",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "description": "Response",
              "properties": {
                "body": {
                  "type": "object",
                  "nullable": true,
                  "example": null
                },
                "error": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "description": "Error code",
                      "example": 400
                    },
                    "message": {
                      "type": "string",
                      "description": "Description of the error",
                      "example": "rpc error: code = InvalidArgument desc = invalid business object"
                    }
                  }
                }
              }
            }
          }
        }
      },
      "BusinessConflict": {
        "description": "Conflict",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "description": "Response",
              "properties": {
                "body": {
                  "type": "object",
                  "nullable": true,
                  "example": null
                },
                "error": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "description": "Error code",
                      "example": 409
                    },
                    "message": {
                      "type": "string",
                      "description": "Description of the error",
                      "example": "rpc error: code = AlreadyExists desc = business with identical details already exists"
                    }
                  }
                }
              }
            }
          }
        }
      },
      "BusinessResourceNotFound": {
        "description": "Not Found",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "description": "Response",
              "properties": {
                "body": {
                  "type": "object",
                  "nullable": true,
                  "example": null
                },
                "error": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "description": "Error code",
                      "example": 404
                    },
                    "message": {
                      "type": "string",
                      "description": "Description of the error",
                      "example": "rpc error: code = NotFound desc = business not found"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-tagGroups": [
    {
      "name": "Authentication",
      "tags": [
        "Authentication",
        "OAuth2.0"
      ]
    },
    {
      "name": "Businesses",
      "tags": [
        "Businesses",
        "Business Addresses",
        "Business Contacts",
        "Business Images",
        "Business API Keys",
        "Business Units"
      ]
    },
    {
      "name": "Phone Numbers",
      "tags": [
        "Business Phone Numbers",
        "Business Unit Phone Numbers",
        "CallerName aNumbers"
      ]
    },
    {
      "name": "Programs",
      "tags": [
        "Programs",
        "Schedules"
      ]
    },
    {
      "name": "Program Delivery Channels",
      "tags": [
        "Delivery Channels",
        "CallerName",
        "CallerImage",
        "Blocking",
        "Engage SDK"
      ]
    },
    {
      "name": "Call Authentication",
      "tags": [
        "Call Authentication",
        "Call Authentication V2",
        "PreCall Engage SDK"
      ]
    },
    {
      "name": "Reference Data",
      "tags": [
        "Employee Count Ranges",
        "Daily Call Count Ranges",
        "Industries",
        "Call Purposes"
      ]
    },
    {
      "name": "Utilities",
      "tags": [
        "Phone Number Verification"
      ]
    }
  ],
  "paths": {
    "/exchange/v1/businesses/{businessId}": {
      "summary": "Businesses",
      "parameters": [
        {
          "name": "Authorization",
          "in": "header",
          "required": true,
          "schema": {
            "type": "string",
            "example": "<token>"
          },
          "description": "Access Token"
        },
        {
          "name": "businessId",
          "in": "path",
          "required": true,
          "schema": {
            "$ref": "#/components/schemas/businessId"
          }
        }
      ],
      "put": {
        "summary": "Update Business",
        "description": "Update one or more attributes of an existing business",
        "operationId": "PutBusiness",
        "tags": [
          "Businesses"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Requests-PutBusiness"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "body": {
                      "$ref": "#/components/schemas/PutBusiness"
                    },
                    "error": {
                      "type": "string",
                      "example": null
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BusinessObjectBadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/BusinessResourceNotFound"
          },
          "409": {
            "$ref": "#/components/responses/BusinessConflict"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```